#
# spec file for package python-aniso8601
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname aniso8601
%bcond_without python2
Name:           python-%{modname}
Version:        8.0.0
Release:        bp153.1.17
Summary:        A library for parsing ISO 8601 strings
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://bitbucket.org/nielsenb/aniso8601
Source:         https://files.pythonhosted.org/packages/source/a/aniso8601/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
%if %{with python2}
BuildRequires:  python-mock
%endif
BuildRequires:  python-rpm-macros
Recommends:     python-python-dateutil
BuildArch:      noarch
%python_subpackages

%description
aniso8601 is a Python library for parsing date strings
in ISO 8601 format into datetime format.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python -m unittest discover aniso8601/tests/

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Apr 23 2020 Steve Kowalik <steven.kowalik@suse.com>
- Only BuildRequire python-mock with Python 2.
* Thu Sep 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 8.0.0:
  * Handle ',' character as a fractional separator, as required by 4.2.2.4, see PR 12
  * Fix semver usage for prelease version, as required by clause 9
* Wed Jun 12 2019 Ondřej Súkup <mimi.vx@gmail.com>
- Update to 7.0.0
  * Handle all fractional components as an integer number of microseconds,
    eliminating rounding issues
* Mon Mar 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 6.0.0:
  * Remove previously deprecated built in version of relativetimebuilder
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 5.1.0:
  * many changes see CHANGELOG.rst
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Aug 19 2018 mimi.vx@gmail.com
- inital commit
